嵌入式組件
獲取小組件會話列表
分頁返回某個小組件的訪客會話,每個會話附帶一行預覽內容。
GET
/
api
/
v1
/
iframes
/
{id}
/
conversations
獲取小組件會話列表
curl --request GET \
--url https://api.example.com/api/v1/iframes/{id}/conversationsimport requests
url = "https://api.example.com/api/v1/iframes/{id}/conversations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/iframes/{id}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/iframes/{id}/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/iframes/{id}/conversations"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/iframes/{id}/conversations")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/iframes/{id}/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"conversations": [
{}
],
"total": 123,
"limit": 123,
"offset": 123
}身份驗證
需要 Bearer 令牌(API 密鑰)或儀表盤會話。路徑參數
string
必填
小組件配置的 UUID。
查詢參數
number
預設值:"50"
每頁數量(最大 200)。
number
預設值:"0"
要跳過的會話數量。
string
ISO 時間戳下限(含邊界值)。
string
ISO 時間戳上限(含邊界值)。
string
true 或 false —— 按是否已捕獲潛在客戶進行過濾。string
active、completed 或 all。響應
array
每個會話包含:
session_id、visitor_id、ip_country、city、page_url、started_at、ended_at、last_seen_at、message_count、lead_captured、lead_data、first_message(預覽內容)、duration_seconds、referrer_url、takeover_status。number
符合過濾條件的會話總數。
number
number
示例
curl
curl "https://www.hitheo.ai/api/v1/iframes/CONFIG_ID/conversations?status=active" \
-H "Authorization: Bearer $THEO_API_KEY"
這個頁面有幫助嗎?
獲取小組件會話列表
curl --request GET \
--url https://api.example.com/api/v1/iframes/{id}/conversationsimport requests
url = "https://api.example.com/api/v1/iframes/{id}/conversations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/iframes/{id}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/iframes/{id}/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/iframes/{id}/conversations"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/iframes/{id}/conversations")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/iframes/{id}/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"conversations": [
{}
],
"total": 123,
"limit": 123,
"offset": 123
}